import React from 'react'
import LayoutBack from '../components/templates/LayoutBack'

class Error extends React.Component {
    static getInitialProps({ res, err }) {
        if (err !== null) {
            console.error("**** (*)ERROR(*) *****")
            console.error(err)
            console.error("************************")
        }
        const statusCode = res ? res.statusCode : err ? err.statusCode : null
        return { statusCode }
    }

    render() {
        return (
            <LayoutBack text="Erreur">
                <p>
                    {this.props.statusCode
                        ? `Une erreur ${this.props.statusCode} est survenue sur le serveur.`
                        : 'Une erreur est survenue dans l\'application.'}
                </p>
            </LayoutBack>

        )
    }
}

export default Error